<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">

    <modelVersion>4.0.0</modelVersion>

    <parent>
        <groupId>ru.entaxy.esb.system.registry</groupId>
        <artifactId>registry</artifactId>
        <version>1.8.2.2</version>
        <relativePath>../../registry/pom.xml</relativePath>
    </parent>

    <groupId>ru.entaxy.esb.system.registry.profile.commons</groupId>
    <artifactId>profile-commons</artifactId>
    <packaging>bundle</packaging>

    <name>SYSTEM :: ENTAXY :: PROFILE :: COMMONS</name>
    <description>SYSTEM :: ENTAXY :: PROFILE :: COMMONS</description>

    <properties>
        <bundle.osgi.export.pkg>
            ru.entaxy.esb.system.profile.commons,
            ru.entaxy.esb.system.profile.commons.connectors,
            ru.entaxy.esb.system.profile.commons.profile_output,
            ru.entaxy.esb.system.profile.commons.connectors.in,
            ru.entaxy.esb.system.profile.commons.connectors.out,
        </bundle.osgi.export.pkg>
        <bundle.osgi.import.pkg>
            ru.entaxy.esb.system.common.exception,
            org.apache.camel,
            ru.entaxy.esb.system.common.osgi.impl;version="[1.0,2)",
            org.apache.commons.logging,
            org.osgi.service.blueprint;version="[1.0.0,2.0.0)",
            ru.entaxy.esb.system.core.dispatcher,
            *
        </bundle.osgi.import.pkg>
    </properties>

    <dependencies>
        <dependency>
            <groupId>org.apache.camel</groupId>
            <artifactId>camel-api</artifactId>
        </dependency>
        <dependency>
            <groupId>ru.entaxy.esb.system.commons</groupId>
            <artifactId>system-commons</artifactId>
            <version>${project.version}</version>
            <scope>compile</scope>
        </dependency>
    </dependencies>

</project>